# Notes for future improvements

## General

## Darwin

- [ ] amethyst -> yabai
- [ ] dnscrypt-proxy / unbound
- [ ] iterm2 module (import from a generated `profile.json` file: Nord theme, Map Ctrl to `+ESC`)

## NixOS

- [ ] Decouple configuration for aragorn host into NixOS modules (I need a functional installation first)
- [ ] Secure boot (lanzaboote)
- [ ] Wrap some GUI apps in [nixpak](https://github.com/nixpak/nixpak) (or use [nix-flatpak](https://github.com/gmodena/nix-flatpak) with home-manager)
- [ ] Will SDDM loads fish/zsh/bash/nushell env vars correctly? (using home.sessionVariables or environment.sessionVariables)

## home-manager

- [ ] btop
- [ ] vifm
- [ ] firefox
- [ ] mpv
- [ ] newsboat
- [ ] gdb (configuration with [GEF](https://github.com/hugsy/gef))
- [ ] thunderbird
