{ config, lib, ... }: {
  programs.k9s.settings.k9s = {
    maxConnRetry = 5;
    crumbsless = true;
    enableMouse = true;
    noIcons = true;
  };

  # The skin file is quite large so it's hard to maintain in Nix format => just copy it as is
  # Source: https://gist.github.com/grdl/60222cce1b8d6a2d98d3657655231d96
  xdg.configFile."k9s/skin.yml" = lib.mkIf config.programs.k9s.enable {
    source = ./skin.yml;
  };
}
