{ config, lib, pkgs, ... }: {
  options.programs.pnpm.enable = lib.mkEnableOption "pnpm";

  config = lib.mkIf config.programs.pnpm.enable {
    home.packages = [ pkgs.nodePackages.pnpm ];

    xdg.configFile."npm/npmrc".source = ./npmrc;
  };
}
