{ lib, ... }:
with lib; {
  options.home.userAgentString = mkOption {
    type = types.str;
    default = "Mozilla/5.0 (Windows NT 10.0; rv:102.0) Gecko/20100101 Firefox/102.0";
    description = ''
      Common user agent string used by various CLI tools.
    '';
  };
}
