{ config, lib, pkgs, ... }: {
  programs.vscode = {
    package = pkgs.vscodium;
    enableUpdateCheck = false;
    enableExtensionUpdateCheck = false;
  };

  home.activation.enableVscodeKeyRepeating = lib.mkIf (pkgs.stdenv.isDarwin && config.programs.vscode.enable) ''
    /usr/bin/defaults write com.vscodium ApplePressAndHoldEnabled -bool false
    /usr/bin/defaults write com.microsoft.VSCode ApplePressAndHoldEnabled -bool false
  '';
}
