{ config, lib, pkgs, ... }:
lib.mkIf (config.programs.gpg.enable && pkgs.stdenv.isLinux) {
  services.gpg-agent = {
    enable = true;
    enableSshSupport = true;
    defaultCacheTtl = 7200;
    maxCacheTtl = 14400;
    defaultCacheTtlSsh = 7200;
    maxCacheTtlSsh = 14400;
  };
}
