{ pkgs, ... }: {
  home.packages = with pkgs; [
    fd
    vim
    kdePackages.dragon
    unrar
  ];

  programs = {
    alacritty = {
      enable = true;
      settings.font.size = 13.5;
    };
    bat.enable = true;
    fzf.enable = true;
    git.enable = true;
    librewolf.enable = true;
    lsd.enable = true;
    ripgrep.enable = true;
    starship.enable = true;
    vivid.enable = true;
    zellij.enable = true;
    zoxide.enable = true;
    zsh.enable = true;
  };
}
